The OpenNET Project / Index page

[ новости/++ | форум | wiki | теги | ]

форумы  помощь  поиск  регистрация  майллист  вход/выход  слежка  RSS
"Раздел полезных советов: Установка Adobe Flash 9 во FreeBSD 7.x"
Вариант для распечатки  
Пред. тема | След. тема 
Форум Разговоры, обсуждение новостей
Изначальное сообщение [ Отслеживать ]

"Раздел полезных советов: Установка Adobe Flash 9 во FreeBSD 7.x"  +/
Сообщение от auto_tips on 08-Ноя-08, 07:02 
Включаем режим совместимости с Linux и linprocfs.

Добавляем в /etc/rc.conf
   linux_enable="YES"

В /etc/sysctl.conf
   compat.linux.osrelease=2.6.16

В /etc/fstab:
   linproc /usr/compat/linux/proc linprocfs rw 0 0

Выполняем команды:
   mkdir -p /usr/compat/linux/proc
   mount /usr/compat/linux/proc
   /etc/rc.d/abi start
   /etc/rc.d/sysctl start

Устанавливаем Linux библиотеки, Flash плагин и nspluginwrapper из портов:
   cd /usr/ports/emulators/linux_base-f8 && make install clean
   cd /usr/ports/www/linux-flashplugin9 && make install clean
   cd /usr/ports/www/nspluginwrapper && make install clean

Активируем плагин в nspluginwrapper:
   nspluginwrapper -v -a -i

   Auto-install plugins from /usr/X11R6/lib/browser_plugins
   Looking for plugins in /usr/X11R6/lib/browser_plugins
   Auto-install plugins from /usr/local/lib/npapi/linux-flashplugin
   Looking for plugins in /usr/local/lib/npapi/linux-flashplugin
   Install plugin /usr/local/lib/npapi/linux-flashplugin   /libflashplayer.so
   into /usr/local/lib/browser_plugins/npwrapper.libflashplayer.so
   Auto-install plugins from /root/.mozilla/plugins
   Looking for plugins in /root/.mozilla/plugins

Перезапускаем Firefox 3 и проверяем активность плагина, введя в адресном поле about:plugins.

Если Flash плагин не обнаружен, можно создать симлинк:
   ln -s /usr/local/lib/browser_plugins/npwrapper.libflashplayer.so \
   /usr/local/lib/firefox3/plugins/npwrapper.libflashplayer.so

Ставим плагин FlashBlock (http://addons.mozilla.org/en-US/firefox/addon/433)
или NoScript (http://addons.mozilla.org/en-US/firefox/addon/722).

URL: http://crnl.org/blog/2008/11/01/flash-9-for-freebsd-71
Обсуждается: http://www.opennet.ru/tips/info/1822.shtml

Ответить | Правка | Cообщить модератору

Оглавление

Сообщения по теме [Сортировка по ответам | RSS]

1. "Установка Adobe Flash 9 во FreeBSD 7.x"  +/
Сообщение от Anonymous on 08-Ноя-08, 07:02 
cool
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

2. "Установка Adobe Flash 9 во FreeBSD 7.x"  +/
Сообщение от xxx (??) on 08-Ноя-08, 12:20 
>cool

И работает также? Или эта реплика относится к самой возможности запустить flash на FreeBSD?

Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

3. "Установка Adobe Flash 9 во FreeBSD 7.x"  +/
Сообщение от Аноним (??) on 08-Ноя-08, 15:27 
Работает.
Ответить | Правка | ^ к родителю #2 | Наверх | Cообщить модератору

4. "Установка Adobe Flash 9 во FreeBSD 7.x"  +/
Сообщение от UserAnonymous on 08-Ноя-08, 16:44 
и дружно течет:)
а вот я так и не понял последнего действия:)
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

5. "Установка Adobe Flash 9 во FreeBSD 7.x"  +/
Сообщение от arachnid email(??) on 08-Ноя-08, 19:24 
что-то у меня flashplugin не ставиться из-за отсутствия libflashsupport.so? кто-нибудь еще наткнулся?
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

6. "Установка Adobe Flash 9 во FreeBSD 7.x"  +/
Сообщение от earfin (??) on 09-Ноя-08, 00:26 
Дык если флеш работает, то нужно его прирезать)))
Ответить | Правка | ^ к родителю #4 | Наверх | Cообщить модератору

7. "Установка Adobe Flash 9 во FreeBSD 7.x"  +/
Сообщение от VoViK (??) on 09-Ноя-08, 02:39 
Скачал отсюда.

http://trac.pcbsd.org/export/2920/pcbsd/trunk/system-overlay...

Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

8. "Установка Adobe Flash 9 во FreeBSD 7.x"  +/
Сообщение от Аноним (??) on 09-Ноя-08, 03:06 
меня все-время напрягает необходимость устанавливать "пол Линукса" ради флеша :( А wine стоит все-равно - нужен для кое-какого софта. Так что просто тупо пользуюсь portable версией ФФ, в которой и флеш установлен виндовый. Хотя нагрузку дает ощутимую.
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

9. "Установка Adobe Flash 9 во FreeBSD 7.x"  +/
Сообщение от arachnid email(??) on 09-Ноя-08, 15:57 
>Скачал отсюда.
>
>http://trac.pcbsd.org/export/2920/pcbsd/trunk/system-overlay...

спасибо!

Ответить | Правка | ^ к родителю #7 | Наверх | Cообщить модератору

10. "Установка Adobe Flash 9 во FreeBSD 7.x"  +/
Сообщение от Oldayn on 09-Ноя-08, 16:50 
а в MOVED:
www/linux-flashplugin||2006-04-08|Removed due to license problem
уже никого не смущает?
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

11. "Установка Adobe Flash 9 во FreeBSD 7.x"  +/
Сообщение от arachnid email(??) on 09-Ноя-08, 20:45 
>а в MOVED:
>www/linux-flashplugin||2006-04-08|Removed due to license problem
>уже никого не смущает?

читали статью внимательно? :) где там встречается указанный вами порт?

Ответить | Правка | ^ к родителю #10 | Наверх | Cообщить модератору

12. "Установка Adobe Flash 9 во FreeBSD 7.x"  +/
Сообщение от arachnid email(??) on 09-Ноя-08, 23:20 
не подскажет многоуважаеый all, а с какого момента это все нормально работает? а то вроде флеха грузиться, а потом тормоза и зависон? 7.1beta2 ff303
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

13. "Установка Adobe Flash 9 во FreeBSD 7.x"  +/
Сообщение от Аноним (??) on 10-Ноя-08, 16:20 
если мне не изменяет память, в то время в списке разрешенных компанией Адобе операционок для использования ее Флеша Фряхи не присутствовало вообще. Т.е. используя линуховый плеер (выложенный на условиях соблюдения в том числе этого списка), люди нарушали лицензию. Опять же вроде бы Адоба позже наконец-то сподобилась "разрешить" использование плеера под Фрей.
Ответить | Правка | ^ к родителю #10 | Наверх | Cообщить модератору

14. "Установка Adobe Flash 9 во FreeBSD 7.x"  +/
Сообщение от NecAway on 11-Ноя-08, 02:10 
>не подскажет многоуважаеый all, а с какого момента это все нормально работает?
>а то вроде флеха грузиться, а потом тормоза и зависон? 7.1beta2
>ff303

Таже проблема на FreeBSD 7.0-RELEASE-p4...

Ответить | Правка | ^ к родителю #12 | Наверх | Cообщить модератору

15. "Установка Adobe Flash 9 во FreeBSD 7.x"  +/
Сообщение от arachnid email(??) on 11-Ноя-08, 08:15 
>>не подскажет многоуважаеый all, а с какого момента это все нормально работает?
>>а то вроде флеха грузиться, а потом тормоза и зависон? 7.1beta2
>>ff303
>
>Таже проблема на FreeBSD 7.0-RELEASE-p4...

ну для релиза это нормально... в том смысле, что это только недавно перенесли из карента в стейбл, так что в релизных ветках этого нет. но вот насколько давно...

Ответить | Правка | ^ к родителю #14 | Наверх | Cообщить модератору

16. "Установка Adobe Flash 9 во FreeBSD 7.x"  +/
Сообщение от switch email(??) on 11-Ноя-08, 09:47 
Чето все работает, а звук не играет, может кто знает, что делать?
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

17. "Установка Adobe Flash 9 во FreeBSD 7.x"  +/
Сообщение от zuborg email on 11-Ноя-08, 16:30 
это свопит так
Ответить | Правка | ^ к родителю #14 | Наверх | Cообщить модератору

18. "Установка Adobe Flash 9 во FreeBSD 7.x"  +/
Сообщение от arachnid (??) on 11-Ноя-08, 21:09 
>это свопит так

ага, юмор, это мы понимаем! а по существу?

Ответить | Правка | ^ к родителю #17 | Наверх | Cообщить модератору

19. "Установка Adobe Flash 9 во FreeBSD 7.x"  +/
Сообщение от dvg_lab (??) on 11-Ноя-08, 23:46 
система 7.1-PRERELEASE i386
сделано все по статье - все пашет отлично. Со звуком и со стабильностью полный порядок. Обсуждение патчей в линуксулятор было здесь
http://www.nabble.com/firefox---flash9-patches-td19730688i40...
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

20. "Установка Adobe Flash 9 во FreeBSD 7.x"  +/
Сообщение от arachnid (??) on 12-Ноя-08, 09:21 
>система 7.1-PRERELEASE i386
>сделано все по статье - все пашет отлично. Со звуком и со
>стабильностью полный порядок. Обсуждение патчей в линуксулятор было здесь
>http://www.nabble.com/firefox---flash9-patches-td19730688i40...

да я не сомневаюсь, что работает :). меня интересует, с какого момента оно начинает работать - то есть когда эти изменения внесли в 7ку

Ответить | Правка | ^ к родителю #19 | Наверх | Cообщить модератору

21. "Установка Adobe Flash 9 во FreeBSD 7.x"  +/
Сообщение от Аноним (??) on 12-Ноя-08, 16:55 
alsa поставить
Ответить | Правка | ^ к родителю #16 | Наверх | Cообщить модератору

22. "Установка Adobe Flash 9 во FreeBSD 7.x"  +/
Сообщение от dvg_lab (??) on 12-Ноя-08, 22:26 
19 октября в 17 с чем-то там если быть почти точным :)
Ну а что стоит csup натравить на сырцы и проапгрейдится?
Ответить | Правка | ^ к родителю #20 | Наверх | Cообщить модератору

23. "Установка Adobe Flash 9 во FreeBSD 7.x"  +/
Сообщение от jedai email on 16-Ноя-08, 14:12 
# cd /usr/ports/emulators/linux_base-f8 && make install clean
===>  linux_base-f8-8_8 compat.linux.osrelease: 2.4.2 is not supported.
*** Error code 1

Stop in /usr/ports/emulators/linux_base-f8.

Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

24. "Установка Adobe Flash 9 во FreeBSD 7.x"  +/
Сообщение от arachnid (??) on 16-Ноя-08, 15:46 
>19 октября в 17 с чем-то там если быть почти точным :)
>
>Ну а что стоит csup натравить на сырцы и проапгрейдится?

ничего - просто казалось, что beta2 уже должна была иметь необходимые патчи

Ответить | Правка | ^ к родителю #22 | Наверх | Cообщить модератору

25. "Установка Adobe Flash 9 во FreeBSD 7.x"  +/
Сообщение от arachnid (??) on 16-Ноя-08, 15:47 
># cd /usr/ports/emulators/linux_base-f8 && make install clean
>===>  linux_base-f8-8_8 compat.linux.osrelease: 2.4.2 is not supported.
>*** Error code 1
>
>Stop in /usr/ports/emulators/linux_base-f8.

см. внимательно - пропустили установку переменной compat.linux.osrelease=2.6.16

Ответить | Правка | ^ к родителю #23 | Наверх | Cообщить модератору

26. "Установка Adobe Flash 9 во FreeBSD 7.x"  +/
Сообщение от Valentin email(??) on 17-Ноя-08, 02:09 
вот такой вот трабл после всего проделанного
nspluginwrapper -v -a -i
Auto-install plugins from /usr/X11R6/lib/browser_plugins
Looking for plugins in /usr/X11R6/lib/browser_plugins
*** NSPlugin Viewer  *** ERROR: /usr/X11R6/lib/browser_plugins/mplayerplug-in.so: wrong ELF class: ELFCLASS64
*** NSPlugin Viewer  *** ERROR: /usr/X11R6/lib/browser_plugins/mplayerplug-in-wmp.so: wrong ELF class: ELFCLASS64
*** NSPlugin Viewer  *** ERROR: /usr/X11R6/lib/browser_plugins/mplayerplug-in-qt.so: wrong ELF class: ELFCLASS64
*** NSPlugin Viewer  *** ERROR: /usr/X11R6/lib/browser_plugins/mplayerplug-in-rm.so: wrong ELF class: ELFCLASS64
*** NSPlugin Viewer  *** ERROR: /usr/X11R6/lib/browser_plugins/mplayerplug-in-gmp.so: wrong ELF class: ELFCLASS64
*** NSPlugin Viewer  *** ERROR: /usr/X11R6/lib/browser_plugins/mplayerplug-in-dvx.so: wrong ELF class: ELFCLASS64
Auto-install plugins from /usr/X11R6/lib/firefox/plugins
Looking for plugins in /usr/X11R6/lib/firefox/plugins
Auto-install plugins from /usr/X11R6/lib/linux-mozilla/plugins
Looking for plugins in /usr/X11R6/lib/linux-mozilla/plugins
Install plugin /usr/X11R6/lib/linux-mozilla/plugins/nphelix.so
  into /usr/local/lib/browser_plugins/npwrapper.nphelix.so
Install plugin /usr/X11R6/lib/linux-mozilla/plugins/libflashplayer.so
  into /usr/local/lib/browser_plugins/npwrapper.libflashplayer.so
Auto-install plugins from /usr/local/lib/npapi/linux-flashplugin
Looking for plugins in /usr/local/lib/npapi/linux-flashplugin
Install plugin /usr/local/lib/npapi/linux-flashplugin/libflashplayer.so
  into /usr/local/lib/browser_plugins/npwrapper.libflashplayer.so
Auto-install plugins from /root/.mozilla/plugins
Looking for plugins in /root/.mozilla/plugins
Install plugin /root/.mozilla/plugins/nppdf.so
  into /root/.mozilla/plugins/npwrapper.nppdf.so
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

27. "Установка Adobe Flash 9 во FreeBSD 7.x"  +/
Сообщение от Sergey email(??) on 09-Дек-08, 11:18 
Устанавливаем Linux библиотеки, Flash плагин и nspluginwrapper из портов:
   cd /usr/ports/emulators/linux_base-f8 && make install clean

А у меня нет такого каталога, есть только
/usr/ports/emulators/linux_base-f7 что делать?

Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

28. "Установка Adobe Flash 9 во FreeBSD 7.x"  +/
Сообщение от arachnid (??) on 09-Дек-08, 11:54 
>Устанавливаем Linux библиотеки, Flash плагин и nspluginwrapper из портов:
>   cd /usr/ports/emulators/linux_base-f8 && make install clean
>
>А у меня нет такого каталога, есть только
>/usr/ports/emulators/linux_base-f7 что делать?

обновить порты

Ответить | Правка | ^ к родителю #27 | Наверх | Cообщить модератору

29. "Установка Adobe Flash 9 во FreeBSD 7.x"  +/
Сообщение от Sergey email(??) on 09-Дек-08, 13:18 
...
>
>обновить порты

А по подробнее


Ответить | Правка | ^ к родителю #28 | Наверх | Cообщить модератору

30. "Установка Adobe Flash 9 во FreeBSD 7.x"  +/
Сообщение от arachnid (??) on 09-Дек-08, 13:26 
>...
>>
>>обновить порты
>
>А по подробнее

http://www.freebsd.org/doc/ru/books/handbook/ports.html

Ответить | Правка | ^ к родителю #29 | Наверх | Cообщить модератору

31. "Установка Adobe Flash 9 во FreeBSD 7.x"  +/
Сообщение от Sergey email(??) on 09-Дек-08, 13:46 
>>...
>>>
>>>обновить порты
>>
>>А по подробнее
>
>http://www.freebsd.org/doc/ru/books/handbook/ports.html

Все пошло обновлятца, а может ты мне еще подскажешь где можно полный текс песни можно найти, там еще слава такие "хочу, хочу, хочу денег как у билла гейтса..." ее еще чувак из камеди клаб поет, клип постоянно по телеку крутят, клип отстой конечно, да и песня тоже, да и певец из этого чувака хреновый. А вот текст песни очень сейчас нужен.

Ответить | Правка | ^ к родителю #30 | Наверх | Cообщить модератору

32. "Установка Adobe Flash 9 во FreeBSD 7.x"  +/
Сообщение от st8 (ok) on 10-Дек-08, 19:51 
># cd /usr/ports/emulators/linux_base-f8 && make install clean
>===>  linux_base-f8-8_8 compat.linux.osrelease: 2.4.2 is not supported.
>*** Error code 1
>
>Stop in /usr/ports/emulators/linux_base-f8.

см. внимательно - пропустили установку переменной compat.linux.osrelease=2.6.16

у меня подобная проблема и я не могу понять что я там мог пропустить, и если пропустил, то где это можно поправить.

Ответить | Правка | ^ к родителю #31 | Наверх | Cообщить модератору

33. "Установка Adobe Flash 9 во FreeBSD 7.x"  +/
Сообщение от arachnid (ok) on 11-Дек-08, 14:17 
>># cd /usr/ports/emulators/linux_base-f8 && make install clean
>>===>  linux_base-f8-8_8 compat.linux.osrelease: 2.4.2 is not supported.
>>*** Error code 1
>>
>>Stop in /usr/ports/emulators/linux_base-f8.
>
>см. внимательно - пропустили установку переменной compat.linux.osrelease=2.6.16
>
>у меня подобная проблема и я не могу понять что я там
>мог пропустить, и если пропустил, то где это можно поправить.

что говорит sysctl compat.linux.osrelease ?

Ответить | Правка | ^ к родителю #32 | Наверх | Cообщить модератору

34. "Установка Adobe Flash 9 во FreeBSD 7.x"  +/
Сообщение от олуся ххх on 09-Янв-09, 12:39 
0000000
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

35. "Установка Adobe Flash 9 во FreeBSD 7.x"  +/
Сообщение от alex email(??) on 09-Янв-09, 12:57 
при установке nspluginwrapper:
linux-glib2-2.6.6_1 conflicts with installed package(s):
      linux_base-f8-8_10

Freebsd 7.1

Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

36. "Установка Adobe Flash 9 во FreeBSD 7.x"  +/
Сообщение от sabrewulf on 14-Янв-09, 18:14 
Аналогично :(
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

37. "Установка Adobe Flash 9 во FreeBSD 7.x"  +/
Сообщение от sabrewulf on 14-Янв-09, 18:20 
Необходимо добавить строчку

OVERRIDE_LINUX_BASE_PORT=f8

в файл /etc/make.conf

Ответить | Правка | ^ к родителю #35 | Наверх | Cообщить модератору

38. "Раздел полезных советов: Установка Adobe Flash 9 во FreeBSD ..."  +/
Сообщение от йцукенг on 28-Янв-09, 03:27 
> pkg_info -R -x linux_base

Information for linux_base-fc-4_14:

Required by:
nvidia-driver-177.80

> sysctl -a | grep linux

compat.linux.osrelease: 2.4.2

И что теперь делать? Всё равно ставить linux_base-fc8 и менять compat.linux.osrelease?

Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

39. "Раздел полезных советов: Установка Adobe Flash 9 во FreeBSD ..."  +/
Сообщение от none (??) on 10-Фев-09, 14:48 
http://www.petitiononline.com/flash4me/petition.html
кому не лень, подписывайтесь под петицией, может и родят наконец нормальный флеш плейер под фрю.
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

40. "Установка Adobe Flash 9 во FreeBSD 7.x"  +/
Сообщение от лада email on 28-Ноя-11, 00:33 
установить на мой компьютер бесплатно без смс и регистрации
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору


Архив | Удалить

Рекомендовать для помещения в FAQ | Индекс форумов | Темы | Пред. тема | След. тема


  Закладки на сайте
  Проследить за страницей
Created 1996-2018 by Maxim Chirkov  
ДобавитьПоддержатьВебмастеруГИД  
Hosting by Ihor